monolog:
    channels:
        - deprecation # Deprecations are logged in the dedicated "deprecation" channel when it exists

when@dev:
    monolog:
        handlers:
            main:
                type: stream
                level: info
                path: "%kernel.logs_dir%/%kernel.environment%.log"
                formatter: App\Formatter\CustomLineFormatter
                channels: ["!event"]
            console:
                type: console
                process_psr_3_messages: false
                channels: ["!event", "!doctrine", "!console"]
            syslog:
                type: syslog
                ident: "ogcore"
                level: info
                formatter: App\Formatter\CustomLineFormatter
                channels: ["!event"]

when@test:
    monolog:
        handlers:
            main:
                type: stream
                path: "%kernel.logs_dir%/%kernel.environment%.log"
                level: error

            nested:
                type: stream
                path: "%kernel.logs_dir%/%kernel.environment%.log"
                level: debug

when@prod:
    monolog:
        handlers:
            main:
                type: stream
                path: "%kernel.logs_dir%/%kernel.environment%.log"
                level: error
                formatter: App\Formatter\CustomLineFormatter
                channels: ["!event"]
            console:
                type: console
                process_psr_3_messages: false
                channels: ["!event", "!doctrine"]
            syslog:
                type: syslog
                ident: "ogcore"
                level: info
                formatter: App\Formatter\CustomLineFormatter
                channels: ["!event"]
            deprecation:
                type: stream
                channels: [deprecation]
                path: "%kernel.logs_dir%/%kernel.environment%.log"
                formatter: monolog.formatter.json

